package org.communiquons.dccaggregator.activities

import android.content.Intent
import android.os.Bundle
import android.view.Menu
import android.view.MenuItem
import androidx.appcompat.app.AppCompatDelegate
import org.communiquons.dccaggregator.R

class MainActivity : BaseActivity() {
    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setTheme(R.style.Theme_DCCAggregator)
        setContentView(R.layout.activity_main)

        AppCompatDelegate.setDefaultNightMode(AppCompatDelegate.MODE_NIGHT_YES)

        // On first launch, start certificates manager first
        if (!certsManager.hasGeneratedCertificate && savedInstanceState == null)
            openCertsManager()
    }

    override fun onCreateOptionsMenu(menu: Menu?): Boolean {
        menuInflater.inflate(R.menu.main_activity_top_menu, menu)
        return super.onCreateOptionsMenu(menu)
    }

    override fun onOptionsItemSelected(item: MenuItem): Boolean {
        if (item.itemId == R.id.open_settings) {
            openCertsManager()
            return true
        }

        return super.onOptionsItemSelected(item)
    }

    fun openCertsManager() {
        startActivity(Intent(this, CertsManager::class.java))
    }
}